"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Solid = exports.Outline = exports.Icon = exports.ButtonWithIcon = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = require("@chakra-ui/react");
var _react2 = _interopRequireDefault(require("react"));
var _fa = require("react-icons/fa");
var _Icons = require("../Icons/Icons");
var meta = {
  title: 'Atoms/Button',
  parameters: {
    backgrounds: {
      "default": 'grey',
      values: [{
        name: 'white',
        value: '#fff'
      }, {
        name: 'grey',
        value: '#7A7D84'
      }]
    }
  },
  argTypes: {
    variant: {
      options: ['solid', 'outline', 'icon'],
      control: {
        type: 'radio'
      }
    },
    size: {
      options: ['long', 'short', 'icon'],
      control: {
        type: 'radio'
      }
    },
    colorScheme: {
      options: ['brand.warmYellow', 'brand.brightBlue', 'brand.white'],
      control: {
        type: 'radio'
      }
    }
  }
};
var _default = meta;
exports["default"] = _default;
var Solid = {
  args: {
    variant: 'solid',
    size: 'long',
    colorScheme: 'brand.warmYellow'
  },
  render: function render(args) {
    return /*#__PURE__*/_react2["default"].createElement(_react.Button, args, "Button");
  }
};
exports.Solid = Solid;
var Outline = {
  args: {
    variant: 'outline',
    size: 'long',
    colorScheme: 'brand.warmYellow'
  },
  render: function render(args) {
    return /*#__PURE__*/_react2["default"].createElement(_react.Button, (0, _extends2["default"])({
      variant: "outline"
    }, args), "Button");
  }
};
exports.Outline = Outline;
var ButtonWithIcon = {
  args: {
    variant: 'solid',
    size: 'long',
    colorScheme: 'brand.white'
  },
  render: function render(args) {
    return /*#__PURE__*/_react2["default"].createElement(_react.Button, (0, _extends2["default"])({
      leftIcon: /*#__PURE__*/_react2["default"].createElement(_Icons.IconArrowRight, null)
    }, args), /*#__PURE__*/_react2["default"].createElement(_react.Box, {
      flexGrow: 1
    }, "Button with icon"));
  }
};
exports.ButtonWithIcon = ButtonWithIcon;
var Icon = {
  args: {
    variant: 'icon',
    size: 'icon',
    colorScheme: 'brand.warmYellow'
  },
  render: function render(args) {
    return /*#__PURE__*/_react2["default"].createElement(_react.Button, args, /*#__PURE__*/_react2["default"].createElement(_fa.FaTwitter, null));
  }
};
exports.Icon = Icon;