"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.selectColours = void 0;
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _colors = _interopRequireDefault(require("../../theme/foundations/colors"));
var newColors = _colors["default"].brand;

// Creates an array of the colour codes, setting colours with objects as values to be a string for the colour code of 500

var colorValuesArray = function colorValuesArray() {
  Object.keys(newColors).forEach(function (key) {
    var currentValue = newColors[key];
    if (typeof currentValue !== 'string') {
      newColors[key] = currentValue['500'];
    }
  });
  return Object.values(newColors);
};

// Creates the object where they keys and values are reversed to generate labels. See these docs https://storybook.js.org/docs/react/essentials/controls

var newColourObject = Object.fromEntries(Object.entries(newColors).map(function (_ref) {
  var _ref2 = (0, _slicedToArray2["default"])(_ref, 2),
    key = _ref2[0],
    value = _ref2[1];
  return [value, key];
}));

// generates the argType for textColour and backgroundColour

var selectColours = {
  options: colorValuesArray(),
  control: {
    type: 'select',
    labels: newColourObject
  }
};
exports.selectColours = selectColours;