"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.ShortCallout = exports.LongCallout = exports.DefaultCallout = void 0;
var _react = _interopRequireDefault(require("react"));
var _selectColours = require("../../atoms/Colours/selectColours");
var _Callout = _interopRequireDefault(require("./Callout"));
var _react2 = require("@chakra-ui/react");
var _default = {
  title: 'Components/Callout',
  argTypes: {
    bg: _selectColours.selectColours,
    text: {
      control: {
        type: 'text'
      }
    },
    color: _selectColours.selectColours,
    type: {
      description: 'This can be : default, short or long',
      control: {
        type: 'text'
      }
    }
  }
};
exports["default"] = _default;
var DefaultCallout = function DefaultCallout(args) {
  return /*#__PURE__*/_react["default"].createElement(_Callout["default"], args, "Law Centres provide their services free of charge because money should never be a barrier to justice.", ' ');
};
exports.DefaultCallout = DefaultCallout;
DefaultCallout.args = {
  bg: 'brand.legacyBlue',
  color: 'white',
  type: 'default'
};
var ShortCallout = function ShortCallout(args) {
  return /*#__PURE__*/_react["default"].createElement(_Callout["default"], args, "Law Centres\u2019 collective identity and shared values have always been strong. Working together means Law Centres can do more of what they do best.", ' ');
};
exports.ShortCallout = ShortCallout;
ShortCallout.args = {
  bg: 'brand.legacyBlue',
  color: 'white',
  type: 'short'
};
var LongCallout = function LongCallout(args) {
  return /*#__PURE__*/_react["default"].createElement(_Callout["default"], args, /*#__PURE__*/_react["default"].createElement(_react2.Box, null, "\u201CIn Liverpool, the list of those who are homeless or threatened with homelessness is rapidly increasing. When private renters face eviction now they are not able to afford to pay the rents being asked for in other private rented properties and are forced to rely on the local authority and social housing sector. There are not enough temporary accommodation spaces available, leading to people being placed far outside the area they live for the first time\u2026 A national rent freeze and eviction ban are imperative to stop these problems growing further.\u201D"));
};
exports.LongCallout = LongCallout;
LongCallout.args = {
  bg: 'brand.legacyBlue',
  color: 'white',
  type: 'default'
};