"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.CardWithImage = exports.CardWithExtendedStoryLong = exports.CardWithExtendedStory = exports.CardWithExtendedLongImageStory = exports.CardStoryLong = exports.CardStory = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _Cards = require("./Cards");
var _selectColours = require("../../atoms/Colours/selectColours");
var _react = _interopRequireDefault(require("react"));
var _cardImage = _interopRequireDefault(require("../../assets/card-image.png"));
var _horizontalCardImage = _interopRequireDefault(require("../../assets/horizontal-card-image.png"));
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var _default = {
  title: 'Components/Cards',
  component: _Cards.Card,
  args: {
    title: 'Title',
    body: 'Your donations are more important than ever. As the costs of living increase and legal aid gets cut, we need your help so that money is never a barrier to getting justice.',
    type: 'short',
    backgroundColor: 'brand.legacyBlue',
    color: 'white',
    downloadFileURL: 'https://assets.ctfassets.net/y26owwfe9yxn/4NtswtIwjtB4HjQcysjouJ/f24d3353456d93cc3722bf9166e372ca/Agile-PM-101-Beginners-Guide-Non-PM-Ebook-download-open.pdf',
    downloadFileTitle: 'Agile for beginners',
    link: 'https://www.google.com'
  },
  argTypes: {
    title: {
      control: 'text'
    },
    body: {
      control: 'text'
    },
    link: {
      control: 'text'
    },
    type: {
      control: 'text'
    },
    linkText: {
      control: 'text'
    },
    backgroundColor: _selectColours.selectColours,
    color: _selectColours.selectColours
  }
};
exports["default"] = _default;
var CardStory = function CardStory(args) {
  return /*#__PURE__*/_react["default"].createElement(_Cards.Card, args);
};
exports.CardStory = CardStory;
CardStory.args = _objectSpread({}, CardStory.args);
var CardStoryLong = function CardStoryLong(args) {
  return /*#__PURE__*/_react["default"].createElement(_Cards.Card, args);
};
exports.CardStoryLong = CardStoryLong;
CardStoryLong.args = _objectSpread(_objectSpread({}, CardStory.args), {}, {
  type: 'long'
});
var CardWithExtendedStory = function CardWithExtendedStory(args) {
  return /*#__PURE__*/_react["default"].createElement(_Cards.CardWithExtended, args);
};
exports.CardWithExtendedStory = CardWithExtendedStory;
CardWithExtendedStory.args = _objectSpread({}, CardWithExtendedStory.args);
var CardWithExtendedStoryLong = function CardWithExtendedStoryLong(args) {
  return /*#__PURE__*/_react["default"].createElement(_Cards.CardWithExtended, args);
};
exports.CardWithExtendedStoryLong = CardWithExtendedStoryLong;
CardWithExtendedStoryLong.args = _objectSpread(_objectSpread({}, CardWithExtendedStoryLong.args), {}, {
  type: 'long'
});
var CardWithImage = function CardWithImage(args) {
  return /*#__PURE__*/_react["default"].createElement(_Cards.Card, args);
};
exports.CardWithImage = CardWithImage;
CardWithImage.args = _objectSpread(_objectSpread({}, CardWithImage.args), {}, {
  type: 'short',
  image: _cardImage["default"]
});
var CardWithExtendedLongImageStory = function CardWithExtendedLongImageStory(args) {
  return /*#__PURE__*/_react["default"].createElement(_Cards.CardWithExtended, args);
};
exports.CardWithExtendedLongImageStory = CardWithExtendedLongImageStory;
CardWithExtendedLongImageStory.args = _objectSpread(_objectSpread({}, CardWithExtendedLongImageStory.args), {}, {
  type: 'long',
  image: _horizontalCardImage["default"]
});