"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CardWithExtended = exports.Card = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@chakra-ui/react");
var _Icons = require("../../atoms/Icons/Icons");
var Card = function Card(_ref) {
  var title = _ref.title,
    body = _ref.body,
    link = _ref.link,
    type = _ref.type,
    backgroundColor = _ref.backgroundColor,
    color = _ref.color,
    image = _ref.image,
    alt = _ref.alt,
    newTab = _ref.newTab,
    downloadFileURL = _ref.downloadFileURL,
    downloadFileTitle = _ref.downloadFileTitle;
  return /*#__PURE__*/_react["default"].createElement(_react2.Box, (0, _extends2["default"])({
    maxWidth: type === 'short' ? '350px' : '550px',
    color: color,
    position: "relative",
    display: "flex",
    flexDirection: "column",
    width: "100%",
    height: "100%"
  }, link && {
    as: "a",
    href: link,
    target: newTab ? '_blank' : '_self'
  }), image && /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    width: "inherit"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Image, {
    alt: alt,
    src: image,
    width: "100%",
    height: "100%",
    objectFit: "cover"
  })), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    padding: "25px 20px 20px 20px",
    width: "inherit",
    height: "100%",
    bg: backgroundColor,
    display: "flex",
    flexDirection: "column"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    lineHeight: "1",
    fontFamily: "bodyAlternative",
    fontSize: "lg",
    display: "inline-block"
  }, title), /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    mt: "1.5rem",
    lineHeight: "1.3",
    fontSize: "2xs"
  }, body), downloadFileURL && /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    alignItems: "center",
    as: "a",
    mt: "auto",
    mb: "0",
    pt: "20px",
    display: "flex",
    href: downloadFileURL,
    download: downloadFileTitle,
    target: newTab ? "_blank" : "_self"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    "max-width": "20ch",
    mr: "1.5rem",
    fontSize: "3xs"
  }, 'Download ' + downloadFileTitle), /*#__PURE__*/_react["default"].createElement(_Icons.IconDownloadFile, null)))));
};
exports.Card = Card;
var CardWithExtended = function CardWithExtended(_ref2) {
  var type = _ref2.type,
    title = _ref2.title,
    body = _ref2.body,
    link = _ref2.link,
    alt = _ref2.alt,
    image = _ref2.image,
    backgroundColor = _ref2.backgroundColor,
    color = _ref2.color,
    downloadFileURL = _ref2.downloadFileURL,
    downloadFileTitle = _ref2.downloadFileTitle,
    newTab = _ref2.newTab;
  return /*#__PURE__*/_react["default"].createElement(_react2.Box, (0, _extends2["default"])({
    maxWidth: type === 'short' ? '350px' : '550px',
    color: color,
    position: "relative",
    display: "flex",
    flexDirection: "column",
    bg: image ? backgroundColor : 'none',
    height: "100%"
  }, link && {
    as: "a",
    href: link,
    textDecoration: 'none',
    target: newTab ? "_blank" : "_self"
  }), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    width: "inherit",
    flex: "1"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Image, {
    src: image,
    alt: alt,
    width: "100%",
    height: "100%",
    objectFit: "cover"
  })), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    position: "relative",
    width: "100%",
    flex: "1",
    display: "flex",
    flexDirection: "column",
    bottom: image ? '55px' : '0',
    color: color
  }, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    height: "auto",
    width: "82%",
    bg: backgroundColor
  }, /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    lineHeight: "1.5",
    fontFamily: "bodyAlternative",
    fontSize: "sm",
    pl: "20px",
    mt: "0.3rem",
    mr: "1rem",
    textDecoration: "underline",
    display: "inline-block"
  }, title)), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    padding: "25px 20px 20px 20px",
    minHeight: "210px",
    bg: backgroundColor,
    pl: "20px",
    display: "flex",
    flexDirection: "column",
    color: color,
    position: "relative",
    flexGrow: "1"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    fontSize: "2xs"
  }, body), downloadFileURL && /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    alignItems: "center",
    as: "a",
    mt: "auto",
    mb: "0",
    pt: "20px",
    display: "flex",
    href: downloadFileURL,
    download: downloadFileTitle,
    target: newTab ? "_blank" : "_self",
    color: color
  }, /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    "max-width": "20ch",
    mr: "1.5rem",
    fontSize: "3xs"
  }, 'Download ' + downloadFileTitle), /*#__PURE__*/_react["default"].createElement(_Icons.IconDownloadFile, null))))));
};
exports.CardWithExtended = CardWithExtended;