"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.FeatureStory = void 0;
var _react = _interopRequireDefault(require("react"));
var _Feature = _interopRequireDefault(require("./Feature"));
var _selectColours = require("../../atoms/Colours/selectColours");
var dummyFeatureData = [{
  fields: {
    label: 'Funding support',
    description: 'Funding and fundraising support'
  }
}, {
  fields: {
    label: 'Shared resources',
    description: 'Shared resources like policy templates and management strategies'
  }
}, {
  fields: {
    label: 'Training',
    description: 'Training workshops, and coaching for leaders, staff, and teams'
  }
}, {
  fields: {
    label: 'HR & Admin Support',
    description: 'Support with staff recruitment and organisational development'
  }
}, {
  fields: {
    label: 'Consultancy',
    description: 'Bespoke access to world-class expertise and trusted consultants'
  }
}];
var _default = {
  title: 'Components/Feature',
  component: _Feature["default"],
  args: {
    featureItems: dummyFeatureData
  },
  argTypes: {
    textColor: _selectColours.selectColours,
    centred: {
      control: 'boolean'
    }
  },
  parameters: {
    backgrounds: {
      "default": 'brightTeal',
      values: [{
        name: 'brightTeal',
        value: '#4cded7'
      }, {
        name: 'grey',
        value: '#7A7D84'
      }]
    }
  }
};
exports["default"] = _default;
var FeatureStory = function FeatureStory(args) {
  return /*#__PURE__*/_react["default"].createElement(_Feature["default"], args);
};
exports.FeatureStory = FeatureStory;