"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@chakra-ui/react");
var _Icons = require("../../../atoms/Icons/Icons");
var HomepageHero = function HomepageHero(_ref) {
  var introduction = _ref.introduction,
    heading = _ref.heading,
    subHeading = _ref.subHeading,
    callToAction = _ref.callToAction,
    headingBackground = _ref.headingBackground,
    heroImage = _ref.heroImage,
    callToActionLink = _ref.callToActionLink,
    heroImageAltText = _ref.heroImageAltText;
  return /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
    direction: "column",
    width: "100%",
    as: "section",
    backgroundColor: "brand.brightTeal"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
    backgroundColor: "brand.legacyTeal",
    flexDirection: {
      base: 'column-reverse',
      sm: 'row'
    }
  }, /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
    justifyContent: {
      base: 'flex-end',
      sm: 'center'
    },
    position: "relative",
    width: {
      base: '100%',
      sm: '40%'
    },
    minHeight: "310px",
    pl: "clamp(1.00rem, calc(-0.39rem + 6.96vw), 5.00rem)"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Image, {
    marginLeft: "auto",
    paddingRight: "1rem",
    position: "absolute",
    objectFit: "cover",
    height: "125%",
    top: "-15%",
    src: heroImage,
    alt: heroImageAltText
  })), /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
    flexDirection: "column",
    alignItems: "center",
    py: {
      base: '20px',
      xl: '80px'
    },
    pr: "clamp(1.00rem, calc(-1.26rem + 11.30vw), 7.50rem)",
    pl: {
      base: '20px',
      xl: '0px'
    },
    position: "relative",
    width: {
      base: '100%',
      sm: '60%'
    }
  }, /*#__PURE__*/_react["default"].createElement(_react2.Heading, {
    as: "h1",
    color: "brand.darkBlue",
    variant: "h1",
    fontSize: {
      base: 'md',
      xl: '4xl'
    },
    backgroundImage: headingBackground,
    backgroundRepeat: "no-repeat",
    backgroundSize: "cover",
    pt: "clamp(0.75rem, calc(0.58rem + 0.87vw), 1.25rem)",
    pl: "20px"
  }, heading), /*#__PURE__*/_react["default"].createElement(_react2.Heading, {
    as: "h2",
    fontSize: "30px",
    fontWeight: "500",
    lineHeight: "36px",
    letterSpacing: "0.9px",
    color: "brand.darkBlue",
    backgroundColor: "brand.brightTeal",
    backgroundRepeat: "no-repeat",
    width: "fit-content",
    px: "43px",
    py: "13px",
    ml: "20px"
  }, subHeading), /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    color: "brand.white.500",
    width: {
      base: '100%',
      md: '60%'
    },
    py: "clamp(0.75rem, calc(0.58rem + 0.87vw), 15rem)",
    fontFamily: "Roboto Slab",
    fontSize: "22px",
    fontWeight: "400",
    lineHeight: "30px",
    letterSpacing: "0.22px"
  }, introduction))), callToAction && /*#__PURE__*/_react["default"].createElement(_react2.Flex, null, /*#__PURE__*/_react["default"].createElement(_react2.Button, {
    marginLeft: "auto",
    colorScheme: "brand.white",
    leftIcon: /*#__PURE__*/_react["default"].createElement(_Icons.IconArrowRight, null),
    size: {
      base: 'large',
      sm: 'large'
    },
    as: "a",
    href: callToActionLink
  }, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    fontSize: {
      base: "18px",
      lg: "26px"
    },
    lineHeight: {
      base: "18px",
      lg: "32px"
    },
    letterSpacing: {
      base: "0.39px",
      lg: "1.04px"
    },
    fontWeight: "700",
    paddingRight: {
      base: "25px",
      lg: "100px"
    },
    paddingLeft: "13px",
    py: {
      base: "0px",
      lg: "15px"
    },
    flexGrow: 1,
    whiteSpace: "normal"
  }, callToAction)), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    width: "68px",
    backgroundColor: "brand.legacyTeal"
  })));
};
var _default = HomepageHero;
exports["default"] = _default;