"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _Section = require("../../../atoms/Section/Section");
var _react2 = require("@chakra-ui/react");
var Hero = function Hero(_ref) {
  var pageTitle = _ref.pageTitle,
    backgroundColour = _ref.backgroundColour,
    textColour = _ref.textColour,
    heading = _ref.heading,
    subHeading = _ref.subHeading,
    image = _ref.image,
    imageAlt = _ref.imageAlt,
    showCardDecoration = _ref.showCardDecoration;
  return /*#__PURE__*/_react["default"].createElement(_Section.HeroSection, {
    bg: backgroundColour,
    display: "flex",
    justifyContent: "space-evenly",
    showCardDecoration: showCardDecoration
  }, /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
    mt: "10rem",
    mb: "2rem",
    mx: "5rem",
    width: "100%",
    justifyContent: "space-evenly",
    flexWrap: "wrap"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
    justifyContent: "flex-start"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    mb: "1rem"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    color: textColour,
    fontFamily: "bodyAlternative",
    textTransform: "uppercase",
    fontSize: "4xs",
    pb: "1rem"
  }, pageTitle), /*#__PURE__*/_react["default"].createElement(_react2.Heading, {
    fontSize: {
      base: "2xl",
      sm: "3xl",
      lg: "4xl"
    },
    as: "h1",
    variant: "h1",
    maxWidth: "15ch",
    color: textColour
  }, heading), image && /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    fontSize: "30px",
    lineHeight: "36px",
    letterSpacing: "0.9px",
    fontWeight: "600",
    color: textColour,
    fontFamily: "bodyAlternative",
    maxWidth: "30ch",
    pt: "2rem"
  }, subHeading), /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
    mb: "0.5rem",
    position: "relative",
    bottom: "10px",
    left: "-50px",
    justifyContent: "flex-end",
    flexDirection: "column",
    visibility: {
      base: "hidden",
      sm: "visible"
    }
  }, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    alignSelf: "flex-start",
    bg: "brand.warmYellow.500",
    width: "19px",
    height: "37px"
  }), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    position: "relative",
    bg: "brand.warmYellow.500",
    height: "19px",
    width: "52px",
    overflow: "visible"
  })))), image && /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    display: "flex",
    justifyContent: "center",
    flexDirection: "column",
    maxWidth: "500px"
  }, /*#__PURE__*/_react["default"].createElement("img", {
    src: image,
    alt: imageAlt,
    height: "auto",
    width: "100%"
  })), !image && /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    fontSize: "30px",
    lineHeight: "36px",
    letterSpacing: "0.9px",
    fontWeight: "600",
    color: textColour,
    fontFamily: "bodyAlternative",
    maxWidth: "23ch",
    pt: "2rem"
  }, subHeading)));
};
var _default = Hero;
exports["default"] = _default;