"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _react = _interopRequireWildcard(require("react"));
var _Section = require("../../atoms/Section/Section");
var _Cards = require("../Cards/Cards");
var _react2 = require("@chakra-ui/react");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var getDayOfMonthSuffix = function getDayOfMonthSuffix(day) {
  if (day >= 11 && day <= 13) {
    return 'th';
  }
  switch (day % 10) {
    case 1:
      return 'st';
    case 2:
      return 'nd';
    case 3:
      return 'rd';
    default:
      return 'th';
  }
};
var formatDate = function formatDate(date) {
  var dateWithoutTime = new Date(date === null || date === void 0 ? void 0 : date.split('T')[0]);
  var day = dateWithoutTime.getDate();
  var month = dateWithoutTime.toLocaleString('default', {
    month: 'long'
  });
  var year = dateWithoutTime.getFullYear();
  var suffix = getDayOfMonthSuffix(day);
  return "".concat(dateWithoutTime.toLocaleDateString('en', {
    weekday: 'long'
  }), ", ").concat(day).concat(suffix, " ").concat(month, " ").concat(year);
};
var LatestNews = function LatestNews(_ref) {
  var articles = _ref.articles,
    backgroundColor = _ref.backgroundColor,
    backgroundImage = _ref.backgroundImage,
    cardBackgroundColor = _ref.cardBackgroundColor,
    headingColor = _ref.headingColor,
    cardTextColor = _ref.cardTextColor;
  var _useState = (0, _react.useState)(articles[0] || null),
    _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
    selectedArticle = _useState2[0],
    setSelectedArticle = _useState2[1];
  var _useMediaQuery = (0, _react2.useMediaQuery)('(min-width: 1250px)'),
    _useMediaQuery2 = (0, _slicedToArray2["default"])(_useMediaQuery, 1),
    isLargerThan1250 = _useMediaQuery2[0];
  return /*#__PURE__*/_react["default"].createElement(_Section.Section, {
    display: "flex",
    position: "relative",
    bg: backgroundColor,
    color: cardTextColor,
    pb: "8rem",
    _after: {
      content: '""',
      position: 'absolute',
      backgroundColor: 'inherit',
      height: '50px',
      width: '70%',
      right: '0px',
      top: '-45px'
    }
  }, /*#__PURE__*/_react["default"].createElement(_react2.Container, {
    maxWidth: "1250px",
    display: "flex",
    position: "relative",
    justifyContent: "center",
    pt: {
      base: '',
      sm: '2rem',
      lg: '12rem'
    }
  }, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    position: "absolute",
    top: "17px",
    right: "-7px",
    width: {
      base: '40%',
      lg: ''
    }
  }, /*#__PURE__*/_react["default"].createElement("img", {
    src: backgroundImage,
    width: "80%",
    height: "auto",
    alt: ""
  })), isLargerThan1250 && /*#__PURE__*/_react["default"].createElement(Desktop, {
    selectedArticle: selectedArticle,
    setSelectedArticle: setSelectedArticle,
    articles: articles,
    cardBackgroundColor: cardBackgroundColor,
    headingColor: headingColor,
    cardTextColor: cardTextColor
  }), !isLargerThan1250 && /*#__PURE__*/_react["default"].createElement(Mobile, {
    headingColor: headingColor,
    articles: articles
  })));
};
var Desktop = function Desktop(_ref2) {
  var _selectedArticle$arti, _selectedArticle$arti2;
  var selectedArticle = _ref2.selectedArticle,
    articles = _ref2.articles,
    setSelectedArticle = _ref2.setSelectedArticle,
    cardBackgroundColor = _ref2.cardBackgroundColor,
    headingColor = _ref2.headingColor,
    cardTextColor = _ref2.cardTextColor;
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    width: "100%",
    maxWidth: "629px"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Heading, {
    as: "h2",
    mb: "2rem",
    color: headingColor,
    fontSize: "2xl"
  }, "Latest News"), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    bg: cardBackgroundColor,
    width: "100%",
    minHeight: "800px",
    position: "relative",
    color: cardTextColor
  }, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    width: "inherit"
  }, /*#__PURE__*/_react["default"].createElement("img", {
    src: selectedArticle === null || selectedArticle === void 0 ? void 0 : (_selectedArticle$arti = selectedArticle.articleImage) === null || _selectedArticle$arti === void 0 ? void 0 : _selectedArticle$arti.url,
    alt: selectedArticle === null || selectedArticle === void 0 ? void 0 : (_selectedArticle$arti2 = selectedArticle.articleImage) === null || _selectedArticle$arti2 === void 0 ? void 0 : _selectedArticle$arti2.description,
    height: "auto",
    width: "100%"
  })), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    p: "2rem",
    maxWidth: "550px"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    as: "a",
    href: '/news/' + (selectedArticle === null || selectedArticle === void 0 ? void 0 : selectedArticle.slug),
    fontFamily: "bodyAlternative",
    lineHeight: 1.1,
    fontSize: "lg",
    mb: "2rem"
  }, selectedArticle === null || selectedArticle === void 0 ? void 0 : selectedArticle.title), /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    pt: "2rem",
    pr: "1rem",
    fontSize: "2xs"
  }, selectedArticle === null || selectedArticle === void 0 ? void 0 : selectedArticle.heroDescription)))), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    ml: "-60px",
    mt: "105px",
    width: "50%"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    maxWidth: "611px",
    width: "100%"
  }, /*#__PURE__*/_react["default"].createElement(_react2.VisuallyHidden, null, "Select one to view more about the article"), articles === null || articles === void 0 ? void 0 : articles.map(function (article, id) {
    var isSelected = selectedArticle === article;
    return /*#__PURE__*/_react["default"].createElement(_react2.Box, {
      onClick: function onClick() {
        setSelectedArticle(article);
      },
      as: "button",
      display: "block",
      key: id,
      bg: isSelected ? 'brand.legacyTeal' : 'brand.white.500',
      mt: "2.5rem",
      p: "2rem",
      minHeight: "171px",
      width: "100%",
      textAlign: "start",
      position: "relative",
      color: isSelected ? 'brand.white.500' : 'brand.darkBlue',
      _hover: {
        bg: isSelected ? 'brand.legacyTeal' : 'brand.white.400'
      }
    }, /*#__PURE__*/_react["default"].createElement(_react2.VisuallyHidden, null, isSelected && 'Currently selected'), /*#__PURE__*/_react["default"].createElement(_react2.Text, {
      fontSize: "3xs",
      mb: "1rem"
    }, formatDate(article.overrideDate)), /*#__PURE__*/_react["default"].createElement(_react2.Text, {
      fontSize: "2xs"
    }, article.title));
  }))));
};
var Mobile = function Mobile(_ref3) {
  var headingColor = _ref3.headingColor,
    articles = _ref3.articles;
  return /*#__PURE__*/_react["default"].createElement(_react2.Box, null, /*#__PURE__*/_react["default"].createElement(_react2.Heading, {
    as: "h2",
    mb: "2rem",
    color: headingColor,
    fontSize: "2xl",
    position: "relative"
  }, "Latest News"), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    rowGap: "2.5rem",
    display: "flex",
    justifyContent: {
      base: 'center',
      xl: 'flex-start'
    },
    columnGap: "clamp(1.25rem, calc(0.82rem + 2.17vw), 2.50rem)",
    flexWrap: "wrap"
  }, articles && (articles === null || articles === void 0 ? void 0 : articles.map(function (article) {
    var _article$articleImage, _article$articleImage2;
    return /*#__PURE__*/_react["default"].createElement(_Cards.Card, {
      key: article.slug,
      title: article.title,
      image: article.articleImage ? (_article$articleImage = article.articleImage) === null || _article$articleImage === void 0 ? void 0 : _article$articleImage.url : '',
      alt: article.articleImage ? (_article$articleImage2 = article.articleImage) === null || _article$articleImage2 === void 0 ? void 0 : _article$articleImage2.description : '',
      body: article.heroDescription,
      color: "brand.darkBlue",
      link: '/news/' + article.slug,
      backgroundColor: "brand.brightTeal",
      type: "short"
    });
  }))));
};
var _default = LatestNews;
exports["default"] = _default;