"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = void 0;
var _react = require("@chakra-ui/react");
var baseStyle = (0, _react.defineStyle)({
  borderRadius: 0,
  fontFamily: 'bodyAlternative',
  fontSize: '2xs',
  textTransform: 'uppercase',
  textDecoration: 'none',
  textWrap: 'wrap',
  pr: '10px'
});
var solid = (0, _react.defineStyle)(function (_ref) {
  var colorScheme = _ref.colorScheme;
  return {
    bg: "".concat(colorScheme, ".500"),
    color: "".concat(colorScheme, ".accessible"),
    _hover: {
      bg: "".concat(colorScheme, ".400")
    },
    _focus: {
      bg: "".concat(colorScheme, ".400")
    },
    _active: {
      bg: "".concat(colorScheme, ".400")
    },
    _focusVisible: {
      bg: "".concat(colorScheme, ".400")
    }
  };
});
var outline = (0, _react.defineStyle)(function (_ref2) {
  var colorScheme = _ref2.colorScheme;
  return {
    border: '2px solid',
    borderColor: "".concat(colorScheme, ".500"),
    bg: 'none',
    color: "".concat(colorScheme, ".500"),
    _hover: {
      bg: "".concat(colorScheme, ".500"),
      color: "".concat(colorScheme, ".accessible")
    },
    _focus: {
      bg: "".concat(colorScheme, ".500"),
      color: "".concat(colorScheme, ".accessible")
    },
    _active: {
      bg: "".concat(colorScheme, ".500"),
      color: "".concat(colorScheme, ".accessible")
    },
    _focusVisible: {
      bg: "".concat(colorScheme, ".500"),
      color: "".concat(colorScheme, ".accessible")
    }
  };
});
var icon = (0, _react.defineStyle)(function (_ref3) {
  var colorScheme = _ref3.colorScheme;
  return {
    border: '2px solid',
    borderColor: "".concat(colorScheme, ".500"),
    bg: 'none',
    borderRadius: '5px',
    color: "".concat(colorScheme, ".500"),
    _hover: {
      bg: "".concat(colorScheme, ".500"),
      color: "".concat(colorScheme, ".accessible")
    },
    _focus: {
      bg: "".concat(colorScheme, ".500"),
      color: "".concat(colorScheme, ".accessible")
    },
    _active: {
      bg: "".concat(colorScheme, ".500"),
      color: "".concat(colorScheme, ".accessible")
    },
    _focusVisible: {
      bg: "".concat(colorScheme, ".500"),
      color: "".concat(colorScheme, ".accessible")
    }
  };
});
var sizes = {
  "long": (0, _react.defineStyle)({
    width: 'min(100%, 30rem)',
    minHeight: '60px'
  }),
  "short": (0, _react.defineStyle)({
    width: 'min(100%, 15rem)',
    minHeight: '60px'
  }),
  icon: (0, _react.defineStyle)({
    p: '0.5rem'
  })
};
var Button = (0, _react.defineStyleConfig)({
  baseStyle: baseStyle,
  sizes: sizes,
  variants: {
    solid: solid,
    outline: outline,
    icon: icon
  },
  defaultProps: {
    colorScheme: 'brand.warmYellow',
    variant: 'solid',
    size: 'long'
  }
});
exports.Button = Button;